// 教师研修
import request from '@/common/request.js';

export function queryCourseTypeDataList(data) {//获取顶部查询项
	return request.get('/api/v1/teachCourseType/queryCourseTypeDataList', data)
}
export function centerPageListData(data) {//课程中心分页列表
	return request.post('/api/v1/teachCourseCenter/centerPageListData', data)
}
export function recordPageListData(data) {//我的研修分页列表
	return request.post('/api/v1/teachCourseRecord/recordPageListData', data)
}
export function minitorPageListData(data) {//研修监控分页列表
	return request.post('/api/v1/teachCourseMinitor/minitorPageListData', data)
}
export function selectCourseDetail(id) {//视频详情
	return request.get(`/api/v1/teachCourseRecord/selectCourseDetail/${id}`)
}
export function addQuestionAnswerData(data) {//教师学习课程答案信息填报接口
	return request.post('/api/v1/teachCourse/addQuestionAnswerData', data)
}
export function queryMinitorDetailData(data) {//查询学习监控页面详细信息接口
	return request.post('/api/v1/teachCourseMinitor/queryMinitorDetailData', data)
}
export function updateFollowCount(teachingCourseId) {//关注-取消关注课程接口，返回关注数量
	return request.get(`/api/v1/teachCourse/updateFollowCount/${teachingCourseId}`)
}
export function synTeachLearnData(data) {//教师学习进度更新接口
	return request.post('/api/v1/teachCourseCenter/synTeachLearnData',data)
}